Update a knowledge base
Updates config or metadata for an existing knowledge base. Requires ‘full’ scope.
POST
/
knowledge_base
/
update
Update a knowledge base
curl --request POST \
--url https://api.svantic.com/knowledge_base/update \
--header 'Content-Type: application/json' \
--data '
{
"namespace": "string",
"display_name": "string",
"description": "string",
"config": {}
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({namespace: 'string', display_name: 'string', description: 'string', config: {}})
};
fetch('https://api.svantic.com/knowledge_base/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.svantic.com/knowledge_base/update"
payload = {
"namespace": "string",
"display_name": "string",
"description": "string",
"config": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.svantic.com/knowledge_base/update"
payload := strings.NewReader("{\n \"namespace\": \"string\",\n \"display_name\": \"string\",\n \"description\": \"string\",\n \"config\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ok": true,
"knowledge_base": {
"namespace": "<string>",
"display_name": "<string>",
"description": "<string>",
"visibility": "<string>",
"config": {
"top_k": 123,
"min_score": 123
},
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "Invalid request body",
"code": "BAD_REQUEST"
}{
"error": "Invalid or expired token",
"code": "unauthorized"
}{
"error": "JWT does not include the required scope for this operation",
"code": "forbidden"
}{
"error": "Not found",
"code": "NOT_FOUND",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Request timeout",
"code": "REQUEST_TIMEOUT"
}{
"error": "Internal server error",
"code": "INTERNAL_ERROR",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Bad gateway",
"code": "BAD_GATEWAY"
}{
"error": "Service temporarily unavailable",
"code": "SERVICE_UNAVAILABLE"
}⌘I
Update a knowledge base
curl --request POST \
--url https://api.svantic.com/knowledge_base/update \
--header 'Content-Type: application/json' \
--data '
{
"namespace": "string",
"display_name": "string",
"description": "string",
"config": {}
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({namespace: 'string', display_name: 'string', description: 'string', config: {}})
};
fetch('https://api.svantic.com/knowledge_base/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.svantic.com/knowledge_base/update"
payload = {
"namespace": "string",
"display_name": "string",
"description": "string",
"config": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.svantic.com/knowledge_base/update"
payload := strings.NewReader("{\n \"namespace\": \"string\",\n \"display_name\": \"string\",\n \"description\": \"string\",\n \"config\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ok": true,
"knowledge_base": {
"namespace": "<string>",
"display_name": "<string>",
"description": "<string>",
"visibility": "<string>",
"config": {
"top_k": 123,
"min_score": 123
},
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "Invalid request body",
"code": "BAD_REQUEST"
}{
"error": "Invalid or expired token",
"code": "unauthorized"
}{
"error": "JWT does not include the required scope for this operation",
"code": "forbidden"
}{
"error": "Not found",
"code": "NOT_FOUND",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Request timeout",
"code": "REQUEST_TIMEOUT"
}{
"error": "Internal server error",
"code": "INTERNAL_ERROR",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Bad gateway",
"code": "BAD_GATEWAY"
}{
"error": "Service temporarily unavailable",
"code": "SERVICE_UNAVAILABLE"
}